## org.apache.aries.subsystem.core.internal
Class OsgiContentCapability

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractCapability
          org.apache.aries.subsystem.core.internal.OsgiContentCapability

All Implemented Interfaces:
  org.osgi.resource.Capability

    public class OsgiContentCapability

extends AbstractCapability

Constructor Summary
`OsgiContentCapability(org.osgi.resource.Resource resource, String url)`
`OsgiContentCapability(org.osgi.resource.Resource resource, URL url)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractCapability
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiContentCapability

    public OsgiContentCapability(org.osgi.resource.Resource resource,
                                 String url)

### OsgiContentCapability

    public OsgiContentCapability(org.osgi.resource.Resource resource,
                                 URL url)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.